// Google font importer

@mixin googleFontImporter($family, $subset: 'latin', $weight: 400) {
	// Google font Importer mixin
	// For avialable fonts hit: https://www.google.com/fonts
	@import url(https://fonts.googleapis.com/css?family=#{$family}:#{$weight}&subset=#{$subset});
}

@mixin googleFont($family, $fallback, $weight: 400) {
	// Google font mixin
	font: {
		family: #{$family}, #{$fallback};
		weight: #{$weight};
	}
}

// Sprite images

@mixin spriteImage($spriteImg) {
	@include my-icons-sprite(#{$spriteImg});
	width: my-icons-sprite-width(#{$spriteImg});
	height: my-icons-sprite-height(#{$spriteImg});
}

// Button

@mixin button($color: $buttonOk) {
	display: inline-block;
	padding: 0 32px;
	height: 36px;
	line-height: 36px;
	color: $white;
	background-color: $color;
	text-decoration: none;
	
	@include border-radius(4px);
	@include transition(background-color 0.222s ease-out);
	
	&:hover {
		background-color: darken($color, 10%);
	}
}
